complexType "OptionExercise"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 18 elements
Defined: | globally in fpml-business-events-5-3.xsd; see XML source
Includes: | definitions of 17 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | eventIdentifier*, optionSeller?, optionBuyer?, tradeIdentifier*, exerciseDate?, exerciseTime?, (expiry? | fullExercise? | (exerciseInNotionalAmount?, outstandingNotionalAmount?) | (exerciseInNumberOfOptions?, outstandingNumberOfOptions?) | (exerciseInNumberOfUnits?, outstandingNumberOfUnits?)), (settlementType? | cashSettlement | physicalSettlement)?, payment?
</...>

Content Model Elements (18):

  cashSettlement (in optionExercise), eventIdentifier (defined in AbstractEvent complexType), exerciseDate, exerciseInNotionalAmount, exerciseInNumberOfOptions, exerciseInNumberOfUnits, exerciseTime, expiry, fullExercise, | optionBuyer, optionSeller, outstandingNotionalAmount (in optionExercise), outstandingNumberOfOptions (in optionExercise), outstandingNumberOfUnits (in optionExercise), payment (in optionExercise), physicalSettlement (in optionExercise), settlementType (in optionExercise), tradeIdentifier (in optionExercise)

All Direct / Indirect Based Elements (1):

  optionExercise

Known Usage Locations

- As direct type of elements (1):
  optionExercise

Annotation
A structure describing an option exercise.
Type Definition Detail

Type Derivation Tree AbstractEvent (extension) OptionExercise

XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="OptionExercise"> <xsd:complexContent> <xsd:extension base="AbstractEvent"> <xsd:sequence> <xsd:element minOccurs="0" name="optionSeller" type="PartyReference"/> <xsd:element minOccurs="0" name="optionBuyer" type="PartyReference"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element minOccurs="0" name="exerciseDate" type="xsd:date"/> <xsd:element minOccurs="0" name="exerciseTime" type="xsd:time"/> <xsd:choice> <xsd:element minOccurs="0" name="expiry" type="xsd:boolean"/> <xsd:element minOccurs="0" name="fullExercise" type="xsd:boolean"/> <xsd:sequence> <xsd:element minOccurs="0" name="exerciseInNotionalAmount" type="Money"/> <xsd:element minOccurs="0" name="outstandingNotionalAmount" type="Money"/> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="exerciseInNumberOfOptions" type="xsd:decimal"/> <xsd:element minOccurs="0" name="outstandingNumberOfOptions" type="xsd:decimal"/> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="exerciseInNumberOfUnits" type="xsd:decimal"/> <xsd:element minOccurs="0" name="outstandingNumberOfUnits" type="xsd:decimal"/> </xsd:sequence> </xsd:choice> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="settlementType" type="SettlementTypeEnum"/> <xsd:element name="cashSettlement" type="SimplePayment"/> <xsd:element name="physicalSettlement" type="PhysicalSettlement"> <!--plugged GEM/CICTO proposal here (InstrumentTrade) --> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="payment" type="NonNegativePayment"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 17/18)
cashSettlement

  Type: | SimplePayment, complex content

  XML Source (see within schema source)

  <xsd:element name="cashSettlement" type="SimplePayment"/>

exerciseDate

  Type: | xsd:date, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="exerciseDate" type="xsd:date"/>

exerciseInNotionalAmount

  Type: | Money, complex content

  Specifies the fixed amount by which the option should be exercised expressed as notional amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exerciseInNotionalAmount" type="Money"/>

exerciseInNumberOfOptions

  Type: | xsd:decimal, predefined, simple content

  Specifies the fixed amount by which the option should be exercised expressed as number of options.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exerciseInNumberOfOptions" type="xsd:decimal"/>

exerciseInNumberOfUnits

  Type: | xsd:decimal, predefined, simple content

  Specifies the fixed amount by which the option should be exercised express as number of units.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exerciseInNumberOfUnits" type="xsd:decimal"/>

exerciseTime

  Type: | xsd:time, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="exerciseTime" type="xsd:time"/>

expiry

  Type: | xsd:boolean, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="expiry" type="xsd:boolean"/>

fullExercise

  Type: | xsd:boolean, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="fullExercise" type="xsd:boolean"/>

optionBuyer

  Type: | PartyReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="optionBuyer" type="PartyReference"/>

optionSeller

  Type: | PartyReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="optionSeller" type="PartyReference"/>

outstandingNotionalAmount

  Type: | Money, complex content

  Specifies the Notional amount after the Change
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="outstandingNotionalAmount" type="Money"/>

outstandingNumberOfOptions

  Type: | xsd:decimal, predefined, simple content

  Specifies the Number of Options after the Change.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="outstandingNumberOfOptions" type="xsd:decimal"/>

outstandingNumberOfUnits

  Type: | xsd:decimal, predefined, simple content

  Specifies the Number of Units
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="outstandingNumberOfUnits" type="xsd:decimal"/>

payment

  Type: | NonNegativePayment, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="payment" type="NonNegativePayment"/>

physicalSettlement

  Type: | PhysicalSettlement, complex content

  XML Source (see within schema source)

  <xsd:element name="physicalSettlement" type="PhysicalSettlement"> <!--plugged GEM/CICTO proposal here (InstrumentTrade) --> </xsd:element>

settlementType

  Type: | SettlementTypeEnum, simple content

  Simple Content

  ("Cash" | "Physical") | "Election"

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="settlementType" type="SettlementTypeEnum"/>

tradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.